const LUCKY_MOD_NAMESPACE = "lucky:";

BlockEvents.broken((event) => {
    const blockId = event.block.getId();
    
    if (blockId.startsWith(LUCKY_MOD_NAMESPACE)) {

		//first breaked lucky block

		const taskId = "4A354346A367657A";

        Utils.server.runCommandSilent(
            `execute run ftbquests change_progress ${event.player.getName().getString()} complete ${taskId}`,
        );
    }
});

console.log("Lucky Block quest validation script loaded");
